From b1c77675d9e3d8881cd5f6d32e128d057a83bf82 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Mon, 11 Sep 2017 20:54:55 -0400
Subject: [PATCH v2 3/9] ecpg: Use bool instead of int

Use "bool" for Boolean variables, rather than "int", matching backend
change f505edace12655f3491b9c91991731e2b6bf1f0b.
---
 src/interfaces/ecpg/pgtypeslib/dt_common.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/interfaces/ecpg/pgtypeslib/dt_common.c b/src/interfaces/ecpg/pgtypeslib/dt_common.c
index 59b69d917b..be72fce8c5 100644
--- a/src/interfaces/ecpg/pgtypeslib/dt_common.c
+++ b/src/interfaces/ecpg/pgtypeslib/dt_common.c
@@ -1089,7 +1089,7 @@ dt2time(double jd, int *hour, int *min, int *sec, fsec_t *fsec)
  */
 static int
 DecodeNumberField(int len, char *str, int fmask,
-				  int *tmask, struct tm *tm, fsec_t *fsec, int *is2digits)
+				  int *tmask, struct tm *tm, fsec_t *fsec, bool *is2digits)
 {
 	char	   *cp;
 
@@ -1199,7 +1199,7 @@ DecodeNumberField(int len, char *str, int fmask,
  */
 static int
 DecodeNumber(int flen, char *str, int fmask,
-			 int *tmask, struct tm *tm, fsec_t *fsec, int *is2digits, bool EuroDates)
+			 int *tmask, struct tm *tm, fsec_t *fsec, bool *is2digits, bool EuroDates)
 {
 	int			val;
 	char	   *cp;
@@ -1314,8 +1314,8 @@ DecodeDate(char *str, int fmask, int *tmask, struct tm *tm, bool EuroDates)
 	int			nf = 0;
 	int			i,
 				len;
-	int			bc = FALSE;
-	int			is2digits = FALSE;
+	bool		bc = FALSE;
+	bool		is2digits = FALSE;
 	int			type,
 				val,
 				dmask = 0;
@@ -1792,9 +1792,9 @@ DecodeDateTime(char **field, int *ftype, int nf,
 	int			i;
 	int			val;
 	int			mer = HR24;
-	int			haveTextMonth = FALSE;
-	int			is2digits = FALSE;
-	int			bc = FALSE;
+	bool		haveTextMonth = FALSE;
+	bool		is2digits = FALSE;
+	bool		bc = FALSE;
 	int			t = 0;
 	int		   *tzp = &t;
 
-- 
2.11.0 (Apple Git-81)

